function conf = test(train,test)

conf = zeros(5);
dims = size(train,2);
N = size(train,1);
c1 = 1:N/5;
c2 = 1+N/5:2*N/5;
c3 = 1+2*N/5:3*N/5;
c4 = 1+3*N/5:4*N/5;
c5 = 1+4*N/5:N;

    mu1 = mean(train(c1,2:dims));
    mu2 = mean(train(c2,2:dims));
    mu3 = mean(train(c3,2:dims));
    mu4 = mean(train(c4,2:dims));
    mu5 = mean(train(c5,2:dims));
    cov1 = cov(train(c1,2:dims));
    cov2 = cov(train(c2,2:dims));
    cov3 = cov(train(c3,2:dims));
    cov4 = cov(train(c4,2:dims));
    cov5 = cov(train(c5,2:dims));
    
g = zeros(5,1);
correct = 0;
class = zeros(size(test,1),2);
for i=1:size(test,1)
    g(1) = test(i,2:dims)*((-1/2)*cov1^(-1))*test(i,2:dims)' + (cov1^(-1)*mu1')'*test(i,2:dims)' + -.5*mu1*cov1^(-1)*mu1' -.5*log(det(cov1));
    g(2) = test(i,2:dims)*((-1/2)*cov2^(-1))*test(i,2:dims)' + (cov2^(-1)*mu2')'*test(i,2:dims)' + -.5*mu2*cov2^(-1)*mu2' -.5*log(det(cov2));
    g(3) = test(i,2:dims)*((-1/2)*cov3^(-1))*test(i,2:dims)' + (cov3^(-1)*mu3')'*test(i,2:dims)' + -.5*mu3*cov3^(-1)*mu3' -.5*log(det(cov3));
    g(4) = test(i,2:dims)*((-1/2)*cov4^(-1))*test(i,2:dims)' + (cov4^(-1)*mu4')'*test(i,2:dims)' + -.5*mu4*cov4^(-1)*mu4' -.5*log(det(cov4));
    g(5) = test(i,2:dims)*((-1/2)*cov5^(-1))*test(i,2:dims)' + (cov5^(-1)*mu5')'*test(i,2:dims)' + -.5*mu5*cov5^(-1)*mu5' -.5*log(det(cov5));
    [gmax cmax] = max(g);
    class(i,1) = test(i,1);
    class(i,2) = cmax;
    if class(i,1) == class(i,2)
        correct = correct + 1;
    end
    conf(class(i,2),class(i,1)) = conf(class(i,2),class(i,1)) + 1;
end
whos class
rec = correct / size(test,1)
